Skip to content

Update a Server for a Project

Request

Admin roles:
  • access_admin
  • server_admin

Updates a Server for a specified Project. This operation is intended for use with the PolicySync feature, see PolicySync: Attribute-Based Access Control.

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

project_namestringrequired

The Project name

server_idstringrequired

The UUID of the Server

Bodyapplication/jsonrequired
labelsobject or null

(Optional) A map of key value pairs. These labels overwrite all labels previously supplied through the API for this server. You can only update labels from other sources using that source. If you don't supply the prefix 'api.', it is automatically prepended.

curl -i -X PUT \
  'https://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/servers/{server_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "labels": {
      "foo": "bar"
    }
  }'

Responses

No Content